## Run the code for one realization from simulation scenarion e) in Schildcrout et al (2015) with the exception that we 
## estimate the parameter associated with C_i here.  In the paper it was not estimated.  
##
## Expect Fit.Biv to take substantially longer to fit than the others
odsInt <- read.csv("odsInt.csv")
odsSlp <- read.csv("odsSlp.csv")
odsBiv <- read.csv("odsSlp.csv")

Fit.Int  <- acml.linear(y=odsInt$Y, 
                        x=as.matrix(cbind(1, odsInt[,c("time","snp","snptime","confounder")])), 
                        z=as.matrix(cbind(1, odsInt$time)), 
                        id=odsInt$id, 
                        InitVals=c(5,  1, -2.5,  0.75,  0,  1.6094379,  0.2231436, -0.5108256,  1.6094379), 
                        ProfileCol=NA, 
                        cutpoints=c(-2.569621, 9.992718), 
                        SampProb=c(1, 0.1228, 1), 
                        w.function="intercept")

Fit.Slp  <- acml.linear(y=odsSlp$Y, 
                        x=as.matrix(cbind(1, odsSlp[,c("time","snp","snptime","confounder")])), 
                        z=as.matrix(cbind(1, odsSlp$time)), 
                        id=odsSlp$id, 
                        InitVals=c(5,  1, -2.5,  0.75,  0,  1.6094379,  0.2231436, -0.5108256,  1.6094379), 
                        ProfileCol=NA, 
                        cutpoints=c(-0.7488912,  3.4557775), 
                        SampProb=c(1, 0.1228, 1), 
                        w.function="intercept")

Fit.Biv  <- acml.linear(y=odsBiv$Y, 
                        x=as.matrix(cbind(1, odsBiv[,c("time","snp","snptime","confounder")])), 
                        z=as.matrix(cbind(1, odsBiv$time)), 
                        id=odsBiv$id, 
                        InitVals=c(5,  1, -2.5,  0.75,  0,  1.6094379,  0.2231436, -0.5108256,  1.6094379), 
                        ProfileCol=NA, 
                        cutpoints=c(-4.413225, 11.935188, -1.390172, 4.084768), 
                        SampProb=c(0.122807, 1), 
                        w.function="bivar")
Fit.Int
Fit.Slp
Fit.Biv